Public Member Functions | Public Attributes | List of all members
libebook::SoftBookMetadata Struct Reference

`#include <SoftBookTypes.h>`

## Public Member Functions
| SoftBookMetadata ()

## Public Attributes
std::string | id
std::string | category
std::string | subcategory
std::string | title
std::string | lastName
std::string | middleName
std::string | firstName

## Constructor & Destructor Documentation

## ◆ SoftBookMetadata()

libebook::SoftBookMetadata::SoftBookMetadata | ( |  | ) |

## Member Data Documentation

## ◆ category

std::string libebook::SoftBookMetadata::category

Referenced by libebook::SoftBookHeader::readBookProperties().

## ◆ firstName

std::string libebook::SoftBookMetadata::firstName

Referenced by libebook::SoftBookHeader::readBookProperties().

## ◆ id

std::string libebook::SoftBookMetadata::id

Referenced by libebook::SoftBookHeader::readBookProperties().

## ◆ lastName

std::string libebook::SoftBookMetadata::lastName

Referenced by libebook::SoftBookHeader::readBookProperties().

## ◆ middleName

std::string libebook::SoftBookMetadata::middleName

Referenced by libebook::SoftBookHeader::readBookProperties().

## ◆ subcategory

std::string libebook::SoftBookMetadata::subcategory

Referenced by libebook::SoftBookHeader::readBookProperties().

## ◆ title

std::string libebook::SoftBookMetadata::title

Referenced by libebook::SoftBookHeader::readBookProperties().

The documentation for this struct was generated from the following files:

- SoftBookTypes.h
- SoftBookTypes.cpp